
Foreman - Bug #1455

Canceling Host-Creation fails if Template was changed

01/18/2012 09:53 AM - David M.

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It is impossible to cancel host creation if you edit the templates.

In this case, I changed the partition template used for the OS which should be installed on that machine.

Then I wanted to cancel the build and restart it (to be sure that foreman uses the new partitioning layout).

The log of foreman says:

Started GET "/hosts/sv6011.muc.baag/cancelBuild" for 10.110.10.95 at Wed Jan 18 14:46:02 +0000 201

2

  Processing by HostsController#cancelBuild as HTML

  Parameters: {"id"=>"sv6011.muc.baag"}

Failed to save: Ptable Solaris medium disk mirrored does not belong to Solaris 5.10 (1009) operati

ng system

Operation FAILED: undefined method `join' for "Failed to cancel pending build for sv6011.muc.baag"

:String

Rendered bookmarks/_list.html.erb (1.4ms)

Rendered bookmarks/_list.html.erb (0.4ms)

Rendered home/_settings.html.erb (5.0ms)

Rendered home/_topbar.rhtml (11.4ms)

Rendered common/500.rhtml within layouts/application (18.8ms)

Completed 500 Internal Server Error in 74ms (Views: 29.3ms | ActiveRecord: 4.2ms)

Related issues:

Has duplicate Foreman - Bug #1449: undefined method `join' for "Failed to can... Duplicate 01/17/2012

History

#1 - 01/18/2012 10:00 AM - Ohad Levy

- Status changed from New to Duplicate
